# ``twisted`.`words`.`im`.`basechat`.`ContactsList``

class documentation

`class ContactsList: (source)`

View In Hierarchy

A GUI object that displays a contacts list.

Method | `__init__` |
Method | `contactChangedNick` | Update your contact information to reflect a change to a contact's nickname.
Method | `registerAccountClient` | Notify the user that an account client has been signed on to.
Method | `setContactStatus` | Inform the user that a person's status has changed.
Method | `unregisterAccountClient` | Notify the user that an account client has been signed off or disconnected from.
Instance Variable | `chatui` | The GUI chat client associated with this contacts list.
Instance Variable | `clients` | The signed-on clients.
Instance Variable | `contacts` | The contacts.
Instance Variable | `onlineContacts` | The contacts who are currently online (have a status that is not `OFFLINE`).

def __init__(self, chatui): (source)

Parameters
chatui:`ChatUI` | The GUI chat client associated with this contacts list.

def contactChangedNick(self, person, newnick): (source)
Update your contact information to reflect a change to a contact's nickname.

Parameters
person:`IPerson` provider | The person in your contacts list whose nickname is changing.
newnick:`str` | The new nickname for this person.

def registerAccountClient(self, client): (source)
Notify the user that an account client has been signed on to.

Parameters
client:`IClient` provider | The client being added to your list of account clients.

def setContactStatus(self, person): (source)
Inform the user that a person's status has changed.

Parameters
person:`IPerson` provider | The person whose status has changed.

def unregisterAccountClient(self, client): (source)
Notify the user that an account client has been signed off or disconnected from.

Parameters
client:`IClient` provider | The client being removed from the list of account clients.

chatui: `ChatUI` = (source)
The GUI chat client associated with this contacts list.
clients: `list` of `IClient` providers = (source)
The signed-on clients.
contacts: `dict` mapping `str` to a `IPerson` provider = (source)
The contacts.
onlineContacts: `dict` mapping `str` to a `IPerson` provider = (source)
The contacts who are currently online (have a status that is not `OFFLINE`).